package seal_request

import (
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/http"
)

type SealApplyImageRequest struct {
	// <ext>core:true</ext> 【用印图片key】用印图片key 【作用】 1、根据图片key下载用印申请中的单张用印图片 2、图片key可通过“用印图片更新回调”获取，或通过<docs>/seal/apply/detail</docs>接口获取
	Photokey string `json:"photokey,omitempty"`
}

func (obj SealApplyImageRequest) GetUrl() string {
	return "/seal/apply/image"
}

func (obj SealApplyImageRequest) GetHttpParameter() *http.HttpParameter {
	parameter := http.NewGetHttpParameter()
	parameter.AddParam("photokey", obj.Photokey)
	return parameter
}
